com.holonplatform.vaadin.components.builders

## Interface LabelConfigurator<B extends LabelConfigurator<B>>

- Type Parameters:
    `B` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<B>
  All Known Subinterfaces:
    LabelBuilder, LabelConfigurator.BaseLabelConfigurator

      public interface LabelConfigurator<B extends LabelConfigurator<B>>
      extends ComponentConfigurator<B>

  Interface to configure a `Label`.
  Since:
    5.1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `LabelConfigurator.BaseLabelConfigurator` Base Label configurator.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `content(com.holonplatform.core.i18n.Localizable content)` Sets the label content using a `Localizable` message.
    `B` | `content(String content)` Sets the label content
    `B` | `content(String defaultContent, String messageCode, Object... arguments)` Sets the label content using a localizable `messageCode`.
    `B` | `contentMode(com.vaadin.shared.ui.ContentMode contentMode)` Sets the content mode of the Label.
    `B` | `html()` A shortcut to set the content mode to `ContentMode.HTML`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### content

          B content(String content)

      Sets the label content
      Parameters:
        `content` - The content to set
      Returns:
        this

    - #### content

          B content(String defaultContent,
                    String messageCode,
                    Object... arguments)

      Sets the label content using a localizable `messageCode`.
      Parameters:
        `defaultContent` - Default content if no translation is available for given `messageCode` for current Locale.
        `messageCode` - Content translation message key
        `arguments` - Optional translation arguments
      Returns:
        this

    - #### content

          B content(com.holonplatform.core.i18n.Localizable content)

      Sets the label content using a `Localizable` message.
      Parameters:
        `content` - Localizable content message
      Returns:
        this

    - #### contentMode

          B contentMode(com.vaadin.shared.ui.ContentMode contentMode)

      Sets the content mode of the Label.
      Parameters:
        `contentMode` - The content mode to set
      Returns:
        this

    - #### html

          B html()

      A shortcut to set the content mode to `ContentMode.HTML`
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.